package com.ffii.fhsmsc.modules.user.service.pojo;

import java.time.LocalDateTime;

public class UserRecord {
  private Integer id;
  private LocalDateTime created;
  private String createdBy;
  private String modified;
  private String modifiedBy;
  private String username;
  private Boolean locked;
  private String name;
  private Integer companyId;
  private Integer customerId;
  private String locale;
  private String fullname;
  private String firstname;
  private String lastname;
  private String title;
  private String department;
  private String deptId;
  private String email;
  private String phone1;
  private String phone2;
  private String remarks;
  private String post;

  public Boolean isLocked() {
    return this.locked;
  }
  public void setRemarks(String remarks) {
    this.remarks = remarks;
  }

  public String getPost() {
    return this.post;
  }

  public void setPost(String post) {
    this.post = post;
  }

  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }
  public LocalDateTime getCreated() {
    return created;
  }
  public void setCreated(LocalDateTime created) {
    this.created = created;
  }
  public String getCreatedBy() {
    return createdBy;
  }
  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }
  public String getModified() {
    return modified;
  }
  public void setModified(String modified) {
    this.modified = modified;
  }
  public String getModifiedBy() {
    return modifiedBy;
  }
  public void setModifiedBy(String modifiedBy) {
    this.modifiedBy = modifiedBy;
  }
  public String getUsername() {
    return username;
  }
  public void setUsername(String username) {
    this.username = username;
  }
  public Boolean getLocked() {
    return locked;
  }
  public void setLocked(Boolean locked) {
    this.locked = locked;
  }
  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }
  public Integer getCompanyId() {
    return companyId;
  }
  public void setCompanyId(Integer companyId) {
    this.companyId = companyId;
  }
  public Integer getCustomerId() {
    return customerId;
  }
  public void setCustomerId(Integer customerId) {
    this.customerId = customerId;
  }
  public String getLocale() {
    return locale;
  }
  public void setLocale(String locale) {
    this.locale = locale;
  }
  public String getFullname() {
    return fullname;
  }
  public void setFullname(String fullname) {
    this.fullname = fullname;
  }
  public String getFirstname() {
    return firstname;
  }
  public void setFirstname(String firstname) {
    this.firstname = firstname;
  }
  public String getLastname() {
    return lastname;
  }
  public void setLastname(String lastname) {
    this.lastname = lastname;
  }
  public String getTitle() {
    return title;
  }
  public void setTitle(String title) {
    this.title = title;
  }
  public String getDepartment() {
    return department;
  }
  public void setDepartment(String department) {
    this.department = department;
  }
  public String getDeptId() {
    return deptId;
  }
  public void setDeptId(String deptId) {
    this.deptId = deptId;
  }
  public String getEmail() {
    return email;
  }
  public void setEmail(String email) {
    this.email = email;
  }
  public String getPhone1() {
    return phone1;
  }
  public void setPhone1(String phone1) {
    this.phone1 = phone1;
  }
  public String getPhone2() {
    return phone2;
  }
  public void setPhone2(String phone2) {
    this.phone2 = phone2;
  }
  public String getRemarks() {
    return remarks;
  }  
}
